# Update client document

Replaces/updates an existing document that belongs to a client (multipart). Requires Document Manager **Create/Edit** for the **client** module. Path `id` is the document ID.

Endpoint: PUT /v1/documents/{id}/client
Version: 1.0.0
Security: BearerAuth, ApiKeyAuth

## Path parameters:

  - `id` (integer, required)
    Document ID.

## Header parameters:

  - `Idempotency-Key` (string)

## Request fields (multipart/form-data):

  - `file` (string, required)

  - `documentType` (string, required)

  - `reportTypeId` (integer)

  - `friendlyName` (string)

  - `viewAccess` (string)

## Response 200 fields (application/json):

  - `success` (boolean)

  - `data` (object)
    Payload inside ApiResponse.data for POST/PUT /v1/documents/* upload and update.

  - `data.documentId` (integer)

  - `data.fileName` (string)

  - `data.downloadUrl` (string | null)
    Optional pre-signed URL when available.

  - `error` (string)

## Response 400 fields (application/json):

  - `errorCode` (integer)

  - `errorText` (string)

## Response 404 fields (application/json):

  - `errorCode` (integer)

  - `errorText` (string)

## Response 413 fields (application/json):

  - `errorCode` (integer)

  - `errorText` (string)

## Response 415 fields (application/json):

  - `errorCode` (integer)

  - `errorText` (string)

## Response 422 fields (application/json):

  - `errorCode` (integer)

  - `errorText` (string)

